# Universal-React-Starter

- [DaisyUI](https://daisyui.com/) - main styling
- [react-icons](https://react-icons.github.io/react-icons/) - big icon library
- [recharts](https://echarts.apache.org/) - charts library
- [wouter](https://github.com/molefrog/wouter) - router library
- [react-hook-form](https://github.com/react-hook-form/resolvers#zod) with [zod](https://zod.dev/) resolver - forms library
- [axios](https://axios-http.com/) - http request library
- [@tanstack/react-table](https://tanstack.com/table/v8/docs/adapters/react-table) - advanced table library

## Usage

1. Setup `.env` files
   1. `.env` - for production and development
   2. `.env.development` - for development
   3. `.env.production` - for production
2. Build or run dev server
3. Enjoy 🎉

### Contact

If you have any suggestions/opinions, please let me know in issues.

#### Dev notes

> UI inspirations:
>
> - <https://demo.themesberg.com/windster-pro/#>
> - <https://tamagui.dev/>
